package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校介绍类别对象 mall_introduce_class
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallIntroduceClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校介绍类别id */
    private Long introduceClassId;

    /** 介绍类别名称 */
    @Excel(name = "介绍类别名称")
    private String introduceName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记 0-正常,1-删除 */
    @Excel(name = "删除标记 0-正常,1-删除")
    private String delFlag;

    public void setIntroduceClassId(Long introduceClassId)
    {
        this.introduceClassId = introduceClassId;
    }

    public Long getIntroduceClassId()
    {
        return introduceClassId;
    }
    public void setIntroduceName(String introduceName)
    {
        this.introduceName = introduceName;
    }

    public String getIntroduceName()
    {
        return introduceName;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("introduceClassId", getIntroduceClassId())
            .append("introduceName", getIntroduceName())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
